declare type PackageJsonUpdater = (packageJson: Record<string, any>) => Record<string, any>;
declare type PackageJson = {
    name: string;
    version: string;
};
/**
 * Read the package.json file.
 */
export declare function read(): Promise<undefined | PackageJson>;
/**
 * Update the package.json located at cwd. The given updater function will
 * receive the parsed package contents and whatever is returned will be written
 * to disk.
 */
export declare function update(updater: PackageJsonUpdater): Promise<void>;
export {};
//# sourceMappingURL=package-json.d.ts.map