"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = __importStar(require("fs-jetpack"));
/**
 * Read the package.json file.
 */
function read() {
    return __awaiter(this, void 0, void 0, function* () {
        return fs.readAsync('package.json', 'json');
    });
}
exports.read = read;
/**
 * Update the package.json located at cwd. The given updater function will
 * receive the parsed package contents and whatever is returned will be written
 * to disk.
 */
function update(updater) {
    return __awaiter(this, void 0, void 0, function* () {
        const packageJson = yield read();
        if (packageJson) {
            const packageJsonUpdated = yield updater(packageJson);
            yield fs.writeAsync('package.json', packageJsonUpdated);
        }
    });
}
exports.update = update;
